Subject: Re: [PATCH] MyFirstContribution: link #git-devel to Libera Chat

From: Emily Shaffer <[email-masked]>
Date: Tue, 8 Jun 2021 12:02:24 -0700

On Tue, Jun 08, 2021 at 11:34:02PM +0530, Atharva Raykar wrote:
> 
> On 08-Jun-2021, at 22:53, Emily Shaffer <[email-masked]> wrote:
> > 
> > On Tue, Jun 08, 2021 at 07:21:14PM +0530, Atharva Raykar wrote:
> >> 
> >> It's pretty safe to say that most of the regulars on #git-devel are now
> >> on Libera Chat. This will help new contributors find the right place, if
> >> they choose to ask questions on `#git-devel`.
> >> 
> >> Since there seems to be no way to directly link Libera's web chat to
> >> `#git-devel` directly,
> > 
> > I just typed "web.libera.chat/#git-devel" and it worked perfectly fine.
> > 
> >> I have put a generic link over the text 'Libera
> >> Chat'. Users will have to manually type `#git-devel` in the webchat
> >> interface, but that should be obvious enough to not be worth mentioning.
> > 
> > Generally, this is a bad approach to take for absolute-beginner
> > documents like this one. Even if it "should" be obvious, why not just
> > say it? Some skills - like how to examine the compiler errors from your
> > C compiler and fix your code accordingly - are a necessary prerequisite
> > to be useful on the Git project; other skills - like how to use IRC -
> > are not, and we can teach them, especially in a guide like this :)
> 
> Got you. In fact, the fault in my reasoning was perfectly
> demonstrated by the fact that I did not attempt one of the most
> "obvious" ways to get the link to #git-devel directly.
> 
> I cannot decide what's obvious for other people :)

Or maybe Libera thought it was too obvious to document? :thinkyface:

Thanks again, looking forward to v2 :)

 - Emily